NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::SimSimulation Class Reference

This is the root object in a .sim file. More...

Inheritance diagram for NXOpen::CAE::SimSimulation:
NXOpen::NXObject NXOpen::TaggedObject NXOpen::INXObject

Public Types

enum  AxisymAbstractionType { AxisymAbstractionTypeNone, AxisymAbstractionTypeZxPlane, AxisymAbstractionTypeXyPlane, AxisymAbstractionTypeXxyPlane }
 Used to specify the axisymmetric abstraction type during solution creation. More...
 
- Public Types inherited from NXOpen::NXObject
enum  AttributeType {
  AttributeTypeInvalid, AttributeTypeNull, AttributeTypeBoolean, AttributeTypeInteger,
  AttributeTypeReal, AttributeTypeString, AttributeTypeTime, AttributeTypeReference,
  AttributeTypeAny = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { DateAndTimeFormatNumeric, DateAndTimeFormatTextual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

NXOpen::CAE::SimSolutionActiveSolution ()
 Returns the active solution. More...
 
NXOpen::CAE::AdaptivityMetaSolutionCollectionAdaptivitySolutions ()
 Returns the CAE Adaptivity collection belonging to this sim part
Created in NX10.0.0. More...
 
void AddBc (NXOpen::CAE::SimBC *bc, NXOpen::CAE::SimSolution *solution, NXOpen::CAE::SimSolutionStep *solutionStep)
 Adds the boundary condition to the step in the solution passed. More...
 
NXOpen::CAE::AeroStructManagerAeroStructManager ()
 Returns the aero structure manager belonging to this sim part
Created in NX12.0.0. More...
 
void BcSequenceDisplay (const std::vector< NXOpen::NXObject * > &objects)
 Updates the specified boundary conditions persistent display color according to the sequence colors defined in customer default setting. More...
 
NXOpen::CAE::CaeDOFSetCollectionCaeDOFSets ()
 Returns the CAE DOFSet collection belonging to this sim part
Created in NX7.5.0. More...
 
NXOpen::CAE::CaeRegionCollectionCaeRegions ()
 Returns the CAE region collection belonging to this sim part
Created in NX7.5.0. More...
 
NXOpen::CAE::SimSolutionCloneSolution (NXOpen::CAE::SimSolution *oldSolution, const NXString &suggestedName)
 Clone the solution. More...
 
NXOpen::CAE::SimSolutionCloneSolution (NXOpen::CAE::SimSolution *oldSolution, const char *suggestedName)
 Clone the solution. More...
 
NXOpen::CAE::SimConditionSeqMgrConditionSeqManager ()
 Returns the Condition Sequence Manager
Created in NX9.0.0. More...
 
NXOpen::CAE::SimConstraintCollectionConstraints ()
 Returns the constraint collection belonging to this sim part
Created in NX3.0.0. More...
 
NXOpen::CAE::SimConstraintSetCollectionConstraintSets ()
 Returns the CAE SimConstraintSet collection belonging to this sim part
Created in NX11.0.0. More...
 
NXOpen::CAE::CorrelManagerCorrelManager ()
 Returns the correl manager belonging to this sim part
Created in NX3.0.0. More...
 
NXOpen::CAE::AutoBCBuilderCreateAutoBcBuilder (const NXString &pcBCDescName, const NXString &pcRecipeName)
 Creates a NXOpen::CAE::AutoBCBuilder. More...
 
NXOpen::CAE::AutoBCBuilderCreateAutoBcBuilder (const char *pcBCDescName, const char *pcRecipeName)
 Creates a NXOpen::CAE::AutoBCBuilder. More...
 
NXOpen::CAE::AutoCyclicSymmetryPairsBuilderCreateAutoCyclicSymmetryPairsBuilder (const NXString &pcBCDescName)
 Creates a NXOpen::CAE::AutoCyclicSymmetryPairsBuilder. More...
 
NXOpen::CAE::AutoCyclicSymmetryPairsBuilderCreateAutoCyclicSymmetryPairsBuilder (const char *pcBCDescName)
 Creates a NXOpen::CAE::AutoCyclicSymmetryPairsBuilder. More...
 
NXOpen::CAE::AutoPairsBuilderCreateAutoPairsBuilder (const NXString &pcBCDescName)
 Creates a NXOpen::CAE::AutoPairsBuilder. More...
 
NXOpen::CAE::AutoPairsBuilderCreateAutoPairsBuilder (const char *pcBCDescName)
 Creates a NXOpen::CAE::AutoPairsBuilder. More...
 
NXOpen::CAE::SimBCBuilderCreateBcBuilderForBc (NXOpen::CAE::SimBC *bc)
 Creates a boundary condition builder for the boundary condition passed. More...
 
NXOpen::CAE::SimBCBuilderCreateBcBuilderForConstraintDescriptor (const NXString &bcDescName, const NXString &bcName)
 Creates a BC builder for the constraint descriptor passed. More...
 
NXOpen::CAE::SimBCBuilderCreateBcBuilderForConstraintDescriptor (const char *bcDescName, const char *bcName)
 Creates a BC builder for the constraint descriptor passed. More...
 
NXOpen::CAE::SimBCBuilderCreateBcBuilderForConstraintDescriptor (const NXString &bcDescName, const NXString &bcName, int label)
 Creates a BC builder for the constraint descriptor passed. More...
 
NXOpen::CAE::SimBCBuilderCreateBcBuilderForConstraintDescriptor (const char *bcDescName, const char *bcName, int label)
 Creates a BC builder for the constraint descriptor passed. More...
 
NXOpen::CAE::SimBCBuilderCreateBcBuilderForLoadDescriptor (const NXString &bcDescName, const NXString &bcName)
 Creates a BC builder for the load descriptor passed. More...
 
NXOpen::CAE::SimBCBuilderCreateBcBuilderForLoadDescriptor (const char *bcDescName, const char *bcName)
 Creates a BC builder for the load descriptor passed. More...
 
NXOpen::CAE::SimBCBuilderCreateBcBuilderForLoadDescriptor (const NXString &bcDescName, const NXString &bcName, int label)
 Creates a BC builder for the load descriptor passed. More...
 
NXOpen::CAE::SimBCBuilderCreateBcBuilderForLoadDescriptor (const char *bcDescName, const char *bcName, int label)
 Creates a BC builder for the load descriptor passed. More...
 
NXOpen::CAE::SimBCBuilderCreateBcBuilderForSimulationObjectDescriptor (const NXString &bcDescName, const NXString &bcName)
 Creates a boundary condition builder for the simulation object descriptor passed. More...
 
NXOpen::CAE::SimBCBuilderCreateBcBuilderForSimulationObjectDescriptor (const char *bcDescName, const char *bcName)
 Creates a boundary condition builder for the simulation object descriptor passed. More...
 
NXOpen::CAE::SimBCBuilderCreateBcBuilderForSimulationObjectDescriptor (const NXString &bcDescName, const NXString &bcName, int label)
 Creates a boundary condition builder for the simulation object descriptor passed. More...
 
NXOpen::CAE::SimBCBuilderCreateBcBuilderForSimulationObjectDescriptor (const char *bcDescName, const char *bcName, int label)
 Creates a boundary condition builder for the simulation object descriptor passed. More...
 
NXOpen::CAE::BcLabelManagerBuilderCreateBcLabelManagerBuilder ()
 Creates a NXOpen::CAE::BcLabelManagerBuilder. More...
 
NXOpen::CAE::BCSelectionDisplayBuilderCreateBcSelectionDisplayBuilder ()
 Creates a builder for boundary condition selection display controls command to display boundary condition's selection CAE geometries with this boundary condition's persistent display color. More...
 
NXOpen::CAE::CaeRegionBuilderCreateCaeRegionBuilder (const NXString &pcRegionDescName, NXOpen::CAE::CaeRegion *tRegion)
 Creates a NXOpen::CAE::CaeRegionBuilder. More...
 
NXOpen::CAE::CaeRegionBuilderCreateCaeRegionBuilder (const char *pcRegionDescName, NXOpen::CAE::CaeRegion *tRegion)
 Creates a NXOpen::CAE::CaeRegionBuilder. More...
 
NXOpen::CAE::SimConstraintSetBuilderCreateConstraintSetBuilder (const NXString &pcConstraintSetDescName, NXOpen::CAE::SimConstraintSet *tConstraintSet)
 Creates a NXOpen::CAE::SimConstraintSetBuilder. More...
 
NXOpen::CAE::SimConstraintSetBuilderCreateConstraintSetBuilder (const char *pcConstraintSetDescName, NXOpen::CAE::SimConstraintSet *tConstraintSet)
 Creates a NXOpen::CAE::SimConstraintSetBuilder. More...
 
NXOpen::CAE::ImportedSolutionBuilderCreateImportedSolutionBuilder ()
 Creates a NXOpen::CAE::ImportedSolutionBuilder. More...
 
NXOpen::CAE::SimLoadSetBuilderCreateLoadSetBuilder (const NXString &pcLoadSetDescName, const NXString &pName, NXOpen::CAE::SimLoadSet *tLoadSet, int iLabel)
 Creates a NXOpen::CAE::SimLoadSetBuilder. More...
 
NXOpen::CAE::SimLoadSetBuilderCreateLoadSetBuilder (const char *pcLoadSetDescName, const char *pName, NXOpen::CAE::SimLoadSet *tLoadSet, int iLabel)
 Creates a NXOpen::CAE::SimLoadSetBuilder. More...
 
NXOpen::CAE::SimMotionLoadsBuilderCreateMotionLoadsBuilder ()
 Creates a NXOpen::CAE::SimMotionLoadsBuilder. More...
 
NXOpen::CAE::SimMotionLoadsListItemBuilderCreateMotionLoadsListItemBuilder ()
 Creates a NXOpen::CAE::SimMotionLoadsListItemBuilder. More...
 
NXOpen::CAE::SimBcPlotContoursBuilderCreateSimBcPlotContoursBuilder ()
 Creates a NXOpen::CAE::SimBcPlotContoursBuilder. More...
 
NXOpen::CAE::SimBcXyPlotBuilderCreateSimBcXyPlotBuilder ()
 Creates a NXOpen::CAE::SimBcXyPlotBuilder. More...
 
NXOpen::CAE::SimSolutionCreateSolution (const NXString &solverType, const NXString &analysisType, const NXString &solutionType, const NXString &name)
 Creates a solution. More...
 
NXOpen::CAE::SimSolutionCreateSolution (const char *solverType, const char *analysisType, const char *solutionType, const char *name)
 Creates a solution. More...
 
NXOpen::CAE::SimSolutionCreateSolution (const NXString &solverType, const NXString &analysisType, const NXString &solutionType, const NXString &name, NXOpen::CAE::SimSimulation::AxisymAbstractionType abstractionType)
 Creates a solution. More...
 
NXOpen::CAE::SimSolutionCreateSolution (const char *solverType, const char *analysisType, const char *solutionType, const char *name, NXOpen::CAE::SimSimulation::AxisymAbstractionType abstractionType)
 Creates a solution. More...
 
NXOpen::CAE::SimSolutionCreateSolution (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, const NXString &solverType, const NXString &analysisType, const NXString &solutionType, const NXString &name)
 Creates a solution from a condition sequence. More...
 
NXOpen::CAE::SimSolutionCreateSolution (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, const char *solverType, const char *analysisType, const char *solutionType, const char *name)
 Creates a solution from a condition sequence. More...
 
NXOpen::CAE::SimSolutionCreateSolution (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, int numSteps, const NXString &solverType, const NXString &analysisType, const NXString &solutionType, const NXString &name)
 Creates a solution from a condition sequence and number of integration steps. More...
 
NXOpen::CAE::SimSolutionCreateSolution (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, int numSteps, const char *solverType, const char *analysisType, const char *solutionType, const char *name)
 Creates a solution from a condition sequence and number of integration steps. More...
 
NXOpen::CAE::SimSolutionCreateSolution (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, double stepSize, NXOpen::Unit *stepUnit, const NXString &solverType, const NXString &analysisType, const NXString &solutionType, const NXString &name)
 Creates a solution from a condition sequence and integration step size. More...
 
NXOpen::CAE::SimSolutionCreateSolution (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, double stepSize, NXOpen::Unit *stepUnit, const char *solverType, const char *analysisType, const char *solutionType, const char *name)
 Creates a solution from a condition sequence and integration step size. More...
 
NXOpen::CAE::SimSolutionCreateSolution (NXOpen::CAE::NodalForceReport *nodalForceReport, const NXString &name, NXOpen::CAE::NodalForceReport::SubcaseOption subcaseOption, NXOpen::CAE::SimSolutionStep *stepTag, bool createForce, bool createMoment)
 Creates a solution from free body. More...
 
NXOpen::CAE::SimSolutionCreateSolution (NXOpen::CAE::NodalForceReport *nodalForceReport, const char *name, NXOpen::CAE::NodalForceReport::SubcaseOption subcaseOption, NXOpen::CAE::SimSolutionStep *stepTag, bool createForce, bool createMoment)
 Creates a solution from free body. More...
 
NXOpen::CAE::SolutionManagerCreateSolutionManager ()
 Creates a NXOpen::CAE::SolutionManager for the active solution environment. More...
 
NXOpen::CAE::SimSolutionStepCreateSolutionStep (NXOpen::CAE::SimSolution *solution, int stepType, const NXString &name)
 Creates a step and add to the solution. More...
 
NXOpen::CAE::SimSolutionStepCreateSolutionStep (NXOpen::CAE::SimSolution *solution, int stepType, const char *name)
 Creates a step and add to the solution. More...
 
NXOpen::CAE::StepManagerCreateStepManager (NXOpen::CAE::SimSolution *tSol)
 Creates a NXOpen::CAE::StepManager for a solution. More...
 
NXOpen::CAE::DataProcessingCollectionDataProcessings ()
 Returns the Data Processing collection belonging to this sim part
Created in NX12.0.0. More...
 
void DeleteSolution (NXOpen::CAE::SimSolution *solution)
 Delete the solution. More...
 
NXOpen::CAE::DurabilityManagerDurabilityManager ()
 Returns the durability manager belonging to this sim part
Created in NX7.5.0. More...
 
NXOpen::CAE::DurSpecialistManager * DurSpecialistManager ()
 Returns the durability specialist manager belonging to this sim part
Created in NX12.0.0. More...
 
NXOpen::CAE::FEModelOccurrenceFemodel ()
 Returns the FEModelOccurrence NXOpen::CAE::FEModelOccurrence associated with the simulation object. More...
 
NXOpen::CAE::LaminateManagerLaminateManager ()
 Returns the laminate manager belonging to this sim part
Created in NX8.0.0. More...
 
NXOpen::CAE::SimLbcFolderCollectionLbcFolders ()
 Returns the CAE SimLbcFolder collection belonging to this sim part
Created in NX9.0.0. More...
 
NXOpen::CAE::SimLoadRecipeCollectionLoadRecipes ()
 Returns the CAE Load Recipe collection belonging to this sim part
Created in NX10.0.0. More...
 
NXOpen::CAE::SimLoadCollectionLoads ()
 Returns the load collection belonging to this sim part
Created in NX3.0.0. More...
 
NXOpen::CAE::SimLoadSetCollectionLoadSets ()
 Returns the CAE SimLoadSet collection belonging to this sim part
Created in NX10.0.0. More...
 
NXOpen::CAE::Optimization::DAOOptimizationManagerOptimizationManager ()
 Returns the Design and Analysis optimization manager belonging to this sim part
Created in NX8.0.0. More...
 
NXOpen::CAE::ResponseSimulation::ManagerResponseSimulationManager ()
 Returns the response simulation manager belonging to this sim part
Created in NX3.0.0. More...
 
NXOpen::CAE::ResultMeasureCollectionResultMeasures ()
 Returns the CAE ResultMeasure collection belonging to this sim part
Created in NX8.0.0. More...
 
void SetActiveSolution (NXOpen::CAE::SimSolution *activeSolution)
 Sets the active solution. More...
 
NXOpen::CAE::SimSimulationObjectCollectionSimulationObjects ()
 Returns the simulation object collection belonging to this sim part
Created in NX3.0.0. More...
 
NXOpen::CAE::SimRecipeCollectionSimulationRecipes ()
 Returns the simulation recipe collection belonging to this sim part
Created in NX3.0.0. More...
 
NXOpen::CAE::SmoothOptResultsBuilderSmoothOptResultsCreateBuilder ()
 Creates a NXOpen::CAE::SmoothOptResultsBuilder. More...
 
NXOpen::CAE::SimSolutionCollectionSolutions ()
 Returns the CAE Solution collection belonging to this sim part
Created in NX7.5.0. More...
 
NXOpen::CAE::Optimization::TBSOptimizationManagerTBSOptimizationManager ()
 Returns the optimization manager belonging to this sim part
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::NXObject
NXOpen::AttributeIteratorCreateAttributeIterator ()
 Create an attribute iterator. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type)
 Deletes all attributes of a specific type. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttributes (NXOpen::AttributeIterator *iterator, NXOpen::Update::Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator
Created in NX8.0.0. More...
 
void DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
virtual NXOpen::INXObjectFindObject (const NXString &journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
virtual NXOpen::INXObjectFindObject (const char *journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
bool GetBooleanUserAttribute (const NXString &title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
bool GetBooleanUserAttribute (const char *title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
int GetIntegerAttribute (const NXString &title)
 Gets an integer attribute by title. More...
 
int GetIntegerAttribute (const char *title)
 Gets an integer attribute by title. More...
 
int GetIntegerUserAttribute (const NXString &title, int index)
 Gets an integer attribute by Title and array Index. More...
 
int GetIntegerUserAttribute (const char *title, int index)
 Gets an integer attribute by Title and array Index. More...
 
bool GetNextUserAttribute (NXOpen::AttributeIterator *iterator, NXOpen::NXObject::AttributeInformation *info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
NXString GetPdmReferenceAttributeValue (const NXString &attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
NXString GetPdmReferenceAttributeValue (const char *attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
double GetRealAttribute (const NXString &title)
 Gets a real attribute by title. More...
 
double GetRealAttribute (const char *title)
 Gets a real attribute by title. More...
 
double GetRealUserAttribute (const NXString &title, int index)
 Gets a real attribute by Title and array Index. More...
 
double GetRealUserAttribute (const char *title, int index)
 Gets a real attribute by Title and array Index. More...
 
NXString GetReferenceAttribute (const NXString &title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetReferenceAttribute (const char *title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetStringAttribute (const NXString &title)
 Gets a string attribute value by title. More...
 
NXString GetStringAttribute (const char *title)
 Gets a string attribute value by title. More...
 
NXString GetStringUserAttribute (const NXString &title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetStringUserAttribute (const char *title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title)
 Gets a time attribute by title. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title)
 Gets a time attribute by title. More...
 
NXString GetTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXString GetTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const NXString &title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const char *title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
NXString GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
NXString GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
bool GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
bool GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (NXOpen::AttributeIterator *iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
std::vector< NXStringGetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
int GetUserAttributeSize (const NXString &title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
int GetUserAttributeSize (const char *title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
std::vector< NXOpen::NXObject * > GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
bool HasUserAttribute (NXOpen::AttributeIterator *iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator. More...
 
bool HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
bool HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
virtual bool IsOccurrence ()
 Returns whether this object is an occurrence or not. More...
 
virtual NXString JournalIdentifier ()
 Returns the identifier that would be recorded in a journal for this object. More...
 
virtual NXString Name ()
 Returns the custom name of the object. More...
 
virtual
NXOpen::Assemblies::Component
OwningComponent ()
 Returns the owning component, if this object is an occurrence. More...
 
virtual NXOpen::BasePartOwningPart ()
 Returns the owning part of this object
Created in NX3.0.0. More...
 
virtual void Print ()
 Prints a representation of this object to the system log file. More...
 
virtual NXOpen::INXObjectPrototype ()
 Returns the prototype of this object if it is an occurrence. More...
 
void SetAttribute (const NXString &title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const char *title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const NXString &title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const char *title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const char *title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const NXString &title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const char *title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const char *title, const char *value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const char *title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const NXString &title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetAttribute (const char *title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
virtual void SetName (const NXString &name)
 Sets the custom name of the object. More...
 
virtual void SetName (const char *name)
 Sets the custom name of the object. More...
 
void SetPdmReferenceAttribute (const NXString &attributeTitle, const NXString &attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetPdmReferenceAttribute (const char *attributeTitle, const char *attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const char *title, const char *value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const char *title, const char *value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
void SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

This is the root object in a .sim file.

Only one instance of this class will exist in each fem part file.


To obtain an instance of this class, use NXOpen::CAE::SimPart::Simulation

Created in NX4.0.0.

Member Enumeration Documentation

Used to specify the axisymmetric abstraction type during solution creation.

Enumerator
AxisymAbstractionTypeNone 

No axisymmetric elements are allowed.

AxisymAbstractionTypeZxPlane 

ZX plane - Z axis axisymmetric elements are allowed.

AxisymAbstractionTypeXyPlane 

XY plane - Y axis axisymmetric elements are allowed.

AxisymAbstractionTypeXxyPlane 

XY plane - X axis axisymmetric elements are allowed.

Member Function Documentation

NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::ActiveSolution ( )

Returns the active solution.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::AdaptivityMetaSolutionCollection* NXOpen::CAE::SimSimulation::AdaptivitySolutions ( )

Returns the CAE Adaptivity collection belonging to this sim part
Created in NX10.0.0.


void NXOpen::CAE::SimSimulation::AddBc ( NXOpen::CAE::SimBC bc,
NXOpen::CAE::SimSolution solution,
NXOpen::CAE::SimSolutionStep solutionStep 
)

Adds the boundary condition to the step in the solution passed.

If solution is NULL then the boundary condition is added to the active solution If step is NULL then the boundary condition is added to the active step


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bcboundary condition object
solutionsolution
solutionStepsolution step
NXOpen::CAE::AeroStructManager* NXOpen::CAE::SimSimulation::AeroStructManager ( )

Returns the aero structure manager belonging to this sim part
Created in NX12.0.0.


void NXOpen::CAE::SimSimulation::BcSequenceDisplay ( const std::vector< NXOpen::NXObject * > &  objects)

Updates the specified boundary conditions persistent display color according to the sequence colors defined in customer default setting.

The behavior of this API is depends on the inputs: 1, If only NXOpen::CAE::SimBC objects are input, then each boundary condition will get its own sequence color. 2, If only NXOpen::CAE::SimLbcFolder objects are input, then each Folder will get its own sequence color and that color will be applied to all the boundary condition in the folder; If a folder is subfolders and the parent folder also in the input objects list, then this subfolder's color is same as the parent folder's color, if the subfolder in the input list but its parent folder is not in the list, this subfolder will get its own sequence color. 3, If only one NXOpen::CAE::SimLbcFolder is input, or if the input contains both NXOpen::CAE::SimBC and NXOpen::CAE::SimLbcFolder objects, then each boundary condition will get its own sequence color.
Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
objectsThe input objects can be 1, NXOpen::CAE::SimBC 2, NXOpen::CAE::SimLbcFolder
NXOpen::CAE::CaeDOFSetCollection* NXOpen::CAE::SimSimulation::CaeDOFSets ( )

Returns the CAE DOFSet collection belonging to this sim part
Created in NX7.5.0.


NXOpen::CAE::CaeRegionCollection* NXOpen::CAE::SimSimulation::CaeRegions ( )

Returns the CAE region collection belonging to this sim part
Created in NX7.5.0.


NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CloneSolution ( NXOpen::CAE::SimSolution oldSolution,
const NXString suggestedName 
)

Clone the solution.

Returns
the newly created NXOpen::CAE::SimSolution
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
oldSolutionthe NXOpen::CAE::SimSolution to be cloned
suggestedNamename to use instead of default name (may be NULL)
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CloneSolution ( NXOpen::CAE::SimSolution oldSolution,
const char *  suggestedName 
)

Clone the solution.

Returns
the newly created NXOpen::CAE::SimSolution
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
oldSolutionthe NXOpen::CAE::SimSolution to be cloned
suggestedNamename to use instead of default name (may be NULL)
NXOpen::CAE::SimConditionSeqMgr* NXOpen::CAE::SimSimulation::ConditionSeqManager ( )

Returns the Condition Sequence Manager
Created in NX9.0.0.



License requirements : None

NXOpen::CAE::SimConstraintCollection* NXOpen::CAE::SimSimulation::Constraints ( )

Returns the constraint collection belonging to this sim part
Created in NX3.0.0.


NXOpen::CAE::SimConstraintSetCollection* NXOpen::CAE::SimSimulation::ConstraintSets ( )

Returns the CAE SimConstraintSet collection belonging to this sim part
Created in NX11.0.0.


NXOpen::CAE::CorrelManager* NXOpen::CAE::SimSimulation::CorrelManager ( )

Returns the correl manager belonging to this sim part
Created in NX3.0.0.


NXOpen::CAE::AutoBCBuilder* NXOpen::CAE::SimSimulation::CreateAutoBcBuilder ( const NXString pcBCDescName,
const NXString pcRecipeName 
)

Creates a NXOpen::CAE::AutoBCBuilder.

Returns
The AutoBCBuilder object
Created in NX6.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
pcBCDescNameThe neutral name of the LBCDescriptor.
pcRecipeNameThe name of the AutoBCRecipe
NXOpen::CAE::AutoBCBuilder* NXOpen::CAE::SimSimulation::CreateAutoBcBuilder ( const char *  pcBCDescName,
const char *  pcRecipeName 
)

Creates a NXOpen::CAE::AutoBCBuilder.

Returns
The AutoBCBuilder object
Created in NX6.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
pcBCDescNameThe neutral name of the LBCDescriptor.
pcRecipeNameThe name of the AutoBCRecipe
NXOpen::CAE::AutoCyclicSymmetryPairsBuilder* NXOpen::CAE::SimSimulation::CreateAutoCyclicSymmetryPairsBuilder ( const NXString pcBCDescName)

Creates a NXOpen::CAE::AutoCyclicSymmetryPairsBuilder.

Returns
The AutoCyclicSymmetryPairsBuilder object
Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
pcBCDescNameThe neutral name of the AutoCyclicSymmetryPairsDescriptor.
NXOpen::CAE::AutoCyclicSymmetryPairsBuilder* NXOpen::CAE::SimSimulation::CreateAutoCyclicSymmetryPairsBuilder ( const char *  pcBCDescName)

Creates a NXOpen::CAE::AutoCyclicSymmetryPairsBuilder.

Returns
The AutoCyclicSymmetryPairsBuilder object
Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
pcBCDescNameThe neutral name of the AutoCyclicSymmetryPairsDescriptor.
NXOpen::CAE::AutoPairsBuilder* NXOpen::CAE::SimSimulation::CreateAutoPairsBuilder ( const NXString pcBCDescName)

Creates a NXOpen::CAE::AutoPairsBuilder.

Returns
The AutoPairsBuilder object
Created in NX5.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
pcBCDescNameThe neutral name of the AutoPairsDescriptor.
NXOpen::CAE::AutoPairsBuilder* NXOpen::CAE::SimSimulation::CreateAutoPairsBuilder ( const char *  pcBCDescName)

Creates a NXOpen::CAE::AutoPairsBuilder.

Returns
The AutoPairsBuilder object
Created in NX5.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
pcBCDescNameThe neutral name of the AutoPairsDescriptor.
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForBc ( NXOpen::CAE::SimBC bc)

Creates a boundary condition builder for the boundary condition passed.

Returns
boundary condition builder
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
bcboundary condition object
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForConstraintDescriptor ( const NXString bcDescName,
const NXString bcName 
)

Creates a BC builder for the constraint descriptor passed.

Returns
boundary condition builder
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
bcDescNamename of the constraint descriptor
bcNamename of the constraint to be created
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForConstraintDescriptor ( const char *  bcDescName,
const char *  bcName 
)

Creates a BC builder for the constraint descriptor passed.

Returns
boundary condition builder
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
bcDescNamename of the constraint descriptor
bcNamename of the constraint to be created
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForConstraintDescriptor ( const NXString bcDescName,
const NXString bcName,
int  label 
)

Creates a BC builder for the constraint descriptor passed.

Returns
boundary condition builder
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
bcDescNamename of the constraint descriptor
bcNamename of the constraint to be created
labelconstraint label
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForConstraintDescriptor ( const char *  bcDescName,
const char *  bcName,
int  label 
)

Creates a BC builder for the constraint descriptor passed.

Returns
boundary condition builder
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
bcDescNamename of the constraint descriptor
bcNamename of the constraint to be created
labelconstraint label
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForLoadDescriptor ( const NXString bcDescName,
const NXString bcName 
)

Creates a BC builder for the load descriptor passed.

Returns
boundary condition builder
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
bcDescNamename of the load descriptor
bcNamename of the load to be created
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForLoadDescriptor ( const char *  bcDescName,
const char *  bcName 
)

Creates a BC builder for the load descriptor passed.

Returns
boundary condition builder
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
bcDescNamename of the load descriptor
bcNamename of the load to be created
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForLoadDescriptor ( const NXString bcDescName,
const NXString bcName,
int  label 
)

Creates a BC builder for the load descriptor passed.

Returns
boundary condition builder
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
bcDescNamename of the load descriptor
bcNamename of the load to be created
labelload label
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForLoadDescriptor ( const char *  bcDescName,
const char *  bcName,
int  label 
)

Creates a BC builder for the load descriptor passed.

Returns
boundary condition builder
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
bcDescNamename of the load descriptor
bcNamename of the load to be created
labelload label
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForSimulationObjectDescriptor ( const NXString bcDescName,
const NXString bcName 
)

Creates a boundary condition builder for the simulation object descriptor passed.

Returns
boundary condition builder
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
bcDescNamename of the simulation object descriptor
bcNamename of the simulation object to be created
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForSimulationObjectDescriptor ( const char *  bcDescName,
const char *  bcName 
)

Creates a boundary condition builder for the simulation object descriptor passed.

Returns
boundary condition builder
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
bcDescNamename of the simulation object descriptor
bcNamename of the simulation object to be created
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForSimulationObjectDescriptor ( const NXString bcDescName,
const NXString bcName,
int  label 
)

Creates a boundary condition builder for the simulation object descriptor passed.

Returns
boundary condition builder
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
bcDescNamename of the simulation object descriptor
bcNamename of the simulation object to be created
labelsimulation object label
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForSimulationObjectDescriptor ( const char *  bcDescName,
const char *  bcName,
int  label 
)

Creates a boundary condition builder for the simulation object descriptor passed.

Returns
boundary condition builder
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
bcDescNamename of the simulation object descriptor
bcNamename of the simulation object to be created
labelsimulation object label
NXOpen::CAE::BcLabelManagerBuilder* NXOpen::CAE::SimSimulation::CreateBcLabelManagerBuilder ( )

Creates a NXOpen::CAE::BcLabelManagerBuilder.

Returns
The BcLabelManagerBuilder object
Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::BCSelectionDisplayBuilder* NXOpen::CAE::SimSimulation::CreateBcSelectionDisplayBuilder ( )

Creates a builder for boundary condition selection display controls command to display boundary condition's selection CAE geometries with this boundary condition's persistent display color.

Returns

Created in NX10.0.0.

License requirements : nx_design_sim ("NX Design Simulation")
NXOpen::CAE::CaeRegionBuilder* NXOpen::CAE::SimSimulation::CreateCaeRegionBuilder ( const NXString pcRegionDescName,
NXOpen::CAE::CaeRegion tRegion 
)

Creates a NXOpen::CAE::CaeRegionBuilder.

Returns
The RegionBuilder object
Created in NX7.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
pcRegionDescNameThe neutral name of the region descriptor.
tRegionThe region if we are editing it, or NULL if we are creating a new one
NXOpen::CAE::CaeRegionBuilder* NXOpen::CAE::SimSimulation::CreateCaeRegionBuilder ( const char *  pcRegionDescName,
NXOpen::CAE::CaeRegion tRegion 
)

Creates a NXOpen::CAE::CaeRegionBuilder.

Returns
The RegionBuilder object
Created in NX7.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
pcRegionDescNameThe neutral name of the region descriptor.
tRegionThe region if we are editing it, or NULL if we are creating a new one
NXOpen::CAE::SimConstraintSetBuilder* NXOpen::CAE::SimSimulation::CreateConstraintSetBuilder ( const NXString pcConstraintSetDescName,
NXOpen::CAE::SimConstraintSet tConstraintSet 
)

Creates a NXOpen::CAE::SimConstraintSetBuilder.

Returns
The ConstraintSetBuilder object
Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
pcConstraintSetDescNameThe neutral name of the constraint set descriptor.
tConstraintSetThe constraint set if we are editing it, or NULL if we are creating a new one
NXOpen::CAE::SimConstraintSetBuilder* NXOpen::CAE::SimSimulation::CreateConstraintSetBuilder ( const char *  pcConstraintSetDescName,
NXOpen::CAE::SimConstraintSet tConstraintSet 
)

Creates a NXOpen::CAE::SimConstraintSetBuilder.

Returns
The ConstraintSetBuilder object
Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
pcConstraintSetDescNameThe neutral name of the constraint set descriptor.
tConstraintSetThe constraint set if we are editing it, or NULL if we are creating a new one
NXOpen::CAE::ImportedSolutionBuilder* NXOpen::CAE::SimSimulation::CreateImportedSolutionBuilder ( )

Creates a NXOpen::CAE::ImportedSolutionBuilder.

Returns
The ImportedSolutionBuilder object
Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::CAE::SimLoadSetBuilder* NXOpen::CAE::SimSimulation::CreateLoadSetBuilder ( const NXString pcLoadSetDescName,
const NXString pName,
NXOpen::CAE::SimLoadSet tLoadSet,
int  iLabel 
)

Creates a NXOpen::CAE::SimLoadSetBuilder.

Returns
The LoadSetBuilder object
Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
pcLoadSetDescNameThe neutral name of the load set descriptor.
pNameThe name of the load set.
tLoadSetThe load set if we are editing it, or NULL if we are creating a new one
iLabelThe label of the load set.
NXOpen::CAE::SimLoadSetBuilder* NXOpen::CAE::SimSimulation::CreateLoadSetBuilder ( const char *  pcLoadSetDescName,
const char *  pName,
NXOpen::CAE::SimLoadSet tLoadSet,
int  iLabel 
)

Creates a NXOpen::CAE::SimLoadSetBuilder.

Returns
The LoadSetBuilder object
Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
pcLoadSetDescNameThe neutral name of the load set descriptor.
pNameThe name of the load set.
tLoadSetThe load set if we are editing it, or NULL if we are creating a new one
iLabelThe label of the load set.
NXOpen::CAE::SimMotionLoadsBuilder* NXOpen::CAE::SimSimulation::CreateMotionLoadsBuilder ( )

Creates a NXOpen::CAE::SimMotionLoadsBuilder.

Returns
The SimMotionLoadsBuilder object
Created in NX5.0.1.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::CAE::SimMotionLoadsListItemBuilder* NXOpen::CAE::SimSimulation::CreateMotionLoadsListItemBuilder ( )

Creates a NXOpen::CAE::SimMotionLoadsListItemBuilder.

Returns
The SimMotionLoadsListItemBuilder object
Created in NX5.0.1.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::CAE::SimBcPlotContoursBuilder* NXOpen::CAE::SimSimulation::CreateSimBcPlotContoursBuilder ( )

Creates a NXOpen::CAE::SimBcPlotContoursBuilder.

Returns
The SimBcPlotContoursBuilder object
Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::SimBcXyPlotBuilder* NXOpen::CAE::SimSimulation::CreateSimBcXyPlotBuilder ( )

Creates a NXOpen::CAE::SimBcXyPlotBuilder.

Returns
The SimBcXyPlotBuilder object
Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution ( const NXString solverType,
const NXString analysisType,
const NXString solutionType,
const NXString name 
)

Creates a solution.

Returns
the created NXOpen::CAE::SimSolution
Deprecated:
Deprecated in NX11.0.0. Use NXOpen::CAE::SimSimulation::CreateSolution with abstraction type input instead.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution ( const char *  solverType,
const char *  analysisType,
const char *  solutionType,
const char *  name 
)

Creates a solution.

Returns
the created NXOpen::CAE::SimSolution
Deprecated:
Deprecated in NX11.0.0. Use NXOpen::CAE::SimSimulation::CreateSolution with abstraction type input instead.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution ( const NXString solverType,
const NXString analysisType,
const NXString solutionType,
const NXString name,
NXOpen::CAE::SimSimulation::AxisymAbstractionType  abstractionType 
)

Creates a solution.

Returns
the created NXOpen::CAE::SimSolution
Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
abstractionTypethe axisymmetric abstraction type. Refer to NX help for more information
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution ( const char *  solverType,
const char *  analysisType,
const char *  solutionType,
const char *  name,
NXOpen::CAE::SimSimulation::AxisymAbstractionType  abstractionType 
)

Creates a solution.

Returns
the created NXOpen::CAE::SimSolution
Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
abstractionTypethe axisymmetric abstraction type. Refer to NX help for more information
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution ( NXOpen::CAE::SimConditionSequence conditionSeqeunce,
const NXString solverType,
const NXString analysisType,
const NXString solutionType,
const NXString name 
)

Creates a solution from a condition sequence.

Returns
the created NXOpen::CAE::SimSolution
Deprecated:
Deprecated in NX11.0.0. Use NXOpen::CAE::SimSimulation::CreateSolution and NXOpen::CAE::SimSolution::SetTimePropsFromConditionSequence instead.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncecreate solution from NXOpen::CAE::SimConditionSequence
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution ( NXOpen::CAE::SimConditionSequence conditionSeqeunce,
const char *  solverType,
const char *  analysisType,
const char *  solutionType,
const char *  name 
)

Creates a solution from a condition sequence.

Returns
the created NXOpen::CAE::SimSolution
Deprecated:
Deprecated in NX11.0.0. Use NXOpen::CAE::SimSimulation::CreateSolution and NXOpen::CAE::SimSolution::SetTimePropsFromConditionSequence instead.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncecreate solution from NXOpen::CAE::SimConditionSequence
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution ( NXOpen::CAE::SimConditionSequence conditionSeqeunce,
int  numSteps,
const NXString solverType,
const NXString analysisType,
const NXString solutionType,
const NXString name 
)

Creates a solution from a condition sequence and number of integration steps.

Returns
the created NXOpen::CAE::SimSolution
Deprecated:
Deprecated in NX11.0.0. Use NXOpen::CAE::SimSimulation::CreateSolution and NXOpen::CAE::SimSolution::SetTimePropsFromConditionSequence with number of steps input instead.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncecreate solution from NXOpen::CAE::SimConditionSequence
numStepsnumber of integration steps
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution ( NXOpen::CAE::SimConditionSequence conditionSeqeunce,
int  numSteps,
const char *  solverType,
const char *  analysisType,
const char *  solutionType,
const char *  name 
)

Creates a solution from a condition sequence and number of integration steps.

Returns
the created NXOpen::CAE::SimSolution
Deprecated:
Deprecated in NX11.0.0. Use NXOpen::CAE::SimSimulation::CreateSolution and NXOpen::CAE::SimSolution::SetTimePropsFromConditionSequence with number of steps input instead.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncecreate solution from NXOpen::CAE::SimConditionSequence
numStepsnumber of integration steps
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution ( NXOpen::CAE::SimConditionSequence conditionSeqeunce,
double  stepSize,
NXOpen::Unit stepUnit,
const NXString solverType,
const NXString analysisType,
const NXString solutionType,
const NXString name 
)

Creates a solution from a condition sequence and integration step size.

Returns
the created NXOpen::CAE::SimSolution
Deprecated:
Deprecated in NX11.0.0. Use NXOpen::CAE::SimSimulation::CreateSolution and NXOpen::CAE::SimSolution::SetTimePropsFromConditionSequence with step size input instead.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncecreate solution from NXOpen::CAE::SimConditionSequence
stepSizesize of integration steps
stepUnitstep size NXOpen::Unit
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution ( NXOpen::CAE::SimConditionSequence conditionSeqeunce,
double  stepSize,
NXOpen::Unit stepUnit,
const char *  solverType,
const char *  analysisType,
const char *  solutionType,
const char *  name 
)

Creates a solution from a condition sequence and integration step size.

Returns
the created NXOpen::CAE::SimSolution
Deprecated:
Deprecated in NX11.0.0. Use NXOpen::CAE::SimSimulation::CreateSolution and NXOpen::CAE::SimSolution::SetTimePropsFromConditionSequence with step size input instead.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncecreate solution from NXOpen::CAE::SimConditionSequence
stepSizesize of integration steps
stepUnitstep size NXOpen::Unit
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution ( NXOpen::CAE::NodalForceReport nodalForceReport,
const NXString name,
NXOpen::CAE::NodalForceReport::SubcaseOption  subcaseOption,
NXOpen::CAE::SimSolutionStep stepTag,
bool  createForce,
bool  createMoment 
)

Creates a solution from free body.

Returns
the created NXOpen::CAE::SimSolution
Created in NX11.0.2.

License requirements : nx_masterfem ("Finite Element Modeling")
Parameters
nodalForceReportcreate solution from NXOpen::CAE::NodalForceReport
namename of the solution to be created
subcaseOptionthe subcase option
stepTagsolution step to be used if subcase option is single
createForceshould be true to create force lbc
createMomentshould be true to create moment lbc
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution ( NXOpen::CAE::NodalForceReport nodalForceReport,
const char *  name,
NXOpen::CAE::NodalForceReport::SubcaseOption  subcaseOption,
NXOpen::CAE::SimSolutionStep stepTag,
bool  createForce,
bool  createMoment 
)

Creates a solution from free body.

Returns
the created NXOpen::CAE::SimSolution
Created in NX11.0.2.

License requirements : nx_masterfem ("Finite Element Modeling")
Parameters
nodalForceReportcreate solution from NXOpen::CAE::NodalForceReport
namename of the solution to be created
subcaseOptionthe subcase option
stepTagsolution step to be used if subcase option is single
createForceshould be true to create force lbc
createMomentshould be true to create moment lbc
NXOpen::CAE::SolutionManager* NXOpen::CAE::SimSimulation::CreateSolutionManager ( )

Creates a NXOpen::CAE::SolutionManager for the active solution environment.

Returns
The SolutionManager object
Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSimulation::CreateSolutionStep ( NXOpen::CAE::SimSolution solution,
int  stepType,
const NXString name 
)

Creates a step and add to the solution.

Returns
step NXOpen::CAE::SimSolutionStep to be added
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
solutionthe solution to which the step will be added, if a NULL is passed the current active solution will be used
stepTypeindex of the step type
namename of the step
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSimulation::CreateSolutionStep ( NXOpen::CAE::SimSolution solution,
int  stepType,
const char *  name 
)

Creates a step and add to the solution.

Returns
step NXOpen::CAE::SimSolutionStep to be added
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
solutionthe solution to which the step will be added, if a NULL is passed the current active solution will be used
stepTypeindex of the step type
namename of the step
NXOpen::CAE::StepManager* NXOpen::CAE::SimSimulation::CreateStepManager ( NXOpen::CAE::SimSolution tSol)

Creates a NXOpen::CAE::StepManager for a solution.

Returns
The StepManager object
Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")
Parameters
tSolsolution
NXOpen::CAE::DataProcessingCollection* NXOpen::CAE::SimSimulation::DataProcessings ( )

Returns the Data Processing collection belonging to this sim part
Created in NX12.0.0.


void NXOpen::CAE::SimSimulation::DeleteSolution ( NXOpen::CAE::SimSolution solution)

Delete the solution.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
solutionthe NXOpen::CAE::SimSolution to be deleted
NXOpen::CAE::DurabilityManager* NXOpen::CAE::SimSimulation::DurabilityManager ( )

Returns the durability manager belonging to this sim part
Created in NX7.5.0.


NXOpen::CAE::DurSpecialistManager* NXOpen::CAE::SimSimulation::DurSpecialistManager ( )

Returns the durability specialist manager belonging to this sim part
Created in NX12.0.0.


NXOpen::CAE::FEModelOccurrence* NXOpen::CAE::SimSimulation::Femodel ( )

Returns the FEModelOccurrence NXOpen::CAE::FEModelOccurrence associated with the simulation object.


Created in NX5.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::LaminateManager* NXOpen::CAE::SimSimulation::LaminateManager ( )

Returns the laminate manager belonging to this sim part
Created in NX8.0.0.


NXOpen::CAE::SimLbcFolderCollection* NXOpen::CAE::SimSimulation::LbcFolders ( )

Returns the CAE SimLbcFolder collection belonging to this sim part
Created in NX9.0.0.


NXOpen::CAE::SimLoadRecipeCollection* NXOpen::CAE::SimSimulation::LoadRecipes ( )

Returns the CAE Load Recipe collection belonging to this sim part
Created in NX10.0.0.


NXOpen::CAE::SimLoadCollection* NXOpen::CAE::SimSimulation::Loads ( )

Returns the load collection belonging to this sim part
Created in NX3.0.0.


NXOpen::CAE::SimLoadSetCollection* NXOpen::CAE::SimSimulation::LoadSets ( )

Returns the CAE SimLoadSet collection belonging to this sim part
Created in NX10.0.0.


NXOpen::CAE::Optimization::DAOOptimizationManager* NXOpen::CAE::SimSimulation::OptimizationManager ( )

Returns the Design and Analysis optimization manager belonging to this sim part
Created in NX8.0.0.


NXOpen::CAE::ResponseSimulation::Manager* NXOpen::CAE::SimSimulation::ResponseSimulationManager ( )

Returns the response simulation manager belonging to this sim part
Created in NX3.0.0.


NXOpen::CAE::ResultMeasureCollection* NXOpen::CAE::SimSimulation::ResultMeasures ( )

Returns the CAE ResultMeasure collection belonging to this sim part
Created in NX8.0.0.


void NXOpen::CAE::SimSimulation::SetActiveSolution ( NXOpen::CAE::SimSolution activeSolution)

Sets the active solution.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
activeSolutionthe active solution NXOpen::CAE::SimSolution
NXOpen::CAE::SimSimulationObjectCollection* NXOpen::CAE::SimSimulation::SimulationObjects ( )

Returns the simulation object collection belonging to this sim part
Created in NX3.0.0.


NXOpen::CAE::SimRecipeCollection* NXOpen::CAE::SimSimulation::SimulationRecipes ( )

Returns the simulation recipe collection belonging to this sim part
Created in NX3.0.0.


NXOpen::CAE::SmoothOptResultsBuilder* NXOpen::CAE::SimSimulation::SmoothOptResultsCreateBuilder ( )

Creates a NXOpen::CAE::SmoothOptResultsBuilder.

Returns
The SmoothOptResultsBuilder object
Created in NX12.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::SimSolutionCollection* NXOpen::CAE::SimSimulation::Solutions ( )

Returns the CAE Solution collection belonging to this sim part
Created in NX7.5.0.


NXOpen::CAE::Optimization::TBSOptimizationManager* NXOpen::CAE::SimSimulation::TBSOptimizationManager ( )

Returns the optimization manager belonging to this sim part
Created in NX8.0.0.



The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.